Package org.gradle.api.tasks

## Class GradleBuild

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.GradleBuild

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @DisableCachingByDefault(because="Child Gradle build will do its own caching")
      public class GradleBuild
      extends org.gradle.api.internal.ConventionTask

  Executes a Gradle build.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GradleBuild()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getBuildFile()` | Deprecated. Use `getDir()` instead to get the root of the nested build.
    `String` | `getBuildName()` | The build name to use for the nested build.
    `File` | `getDir()` | Returns the project directory for the build.
    `StartParameter` | `getStartParameter()` | Returns the full set of parameters that will be used to execute the build.
    `List<String>` | `getTasks()` | Returns the tasks that should be executed for this build.
    `void` | `setBuildFile​(File file)` | Deprecated. Use `setDir(File)` instead to set the root of the nested build.
    `void` | `setBuildFile​(Object file)` | Deprecated. Use `setDir(Object)` instead to set the root of the nested build.
    `void` | `setBuildName​(String buildName)` | Sets build name to use for the nested build.
    `void` | `setDir​(File dir)` | Sets the project directory for the build.
    `void` | `setDir​(Object dir)` | Sets the project directory for the build.
    `void` | `setStartParameter​(StartParameter startParameter)` | Sets the full set of parameters that will be used to execute the build.
    `void` | `setTasks​(Collection<String> tasks)` | Sets the tasks that should be executed for this build.
    `void` | `setTasks​(List<String> tasks)` | Sets the tasks that should be executed for this build.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getReasonNotToTrackState, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention`

- - ### Constructor Detail

    - #### GradleBuild

          public GradleBuild()

  - ### Method Detail

    - #### getStartParameter

          @Internal
          public StartParameter getStartParameter()

      Returns the full set of parameters that will be used to execute the build.
      Returns:
        the parameters. Never returns null.

    - #### setStartParameter

          public void setStartParameter​(StartParameter startParameter)

      Sets the full set of parameters that will be used to execute the build.
      Parameters:
        `startParameter` - the parameters. Should not be null.

    - #### getDir

          @Internal
          public File getDir()

      Returns the project directory for the build. Defaults to the project directory.
      Returns:
        The project directory. Never returns null.

    - #### setDir

          public void setDir​(File dir)

      Sets the project directory for the build.
      Parameters:
        `dir` - The project directory. Should not be null.
      Since:
        4.0

    - #### setDir

          public void setDir​(Object dir)

      Sets the project directory for the build.
      Parameters:
        `dir` - The project directory. Should not be null.

    - #### getBuildFile

          @Nullable
          @Optional
          @PathSensitive(NAME_ONLY)
          @InputFile
          @Deprecated
          public File getBuildFile()

      Deprecated.
      Use `getDir()` instead to get the root of the nested build. This method will be removed in Gradle 8.0.
      Returns the build file that should be used for this build. Defaults to "build.gradle" in the project directory.
      Returns:
        The build file. May be null.

    - #### setBuildFile

          @Deprecated
          public void setBuildFile​(@Nullable
                                   File file)

      Deprecated.
      Use `setDir(File)` instead to set the root of the nested build. This method will be removed in Gradle 8.0.
      Sets the build file that should be used for this build.
      Parameters:
        `file` - The build file. May be null to use the default build file for the build.
      Since:
        4.0

    - #### setBuildFile

          @Deprecated
          public void setBuildFile​(@Nullable
                                   Object file)

      Deprecated.
      Use `setDir(Object)` instead to set the root of the nested build. This method will be removed in Gradle 8.0.
      Sets the build file that should be used for this build.
      Parameters:
        `file` - The build file. May be null to use the default build file for the build.

    - #### getTasks

          @Input
          public List<String> getTasks()

      Returns the tasks that should be executed for this build.
      Returns:
        The sequence. May be empty. Never returns null.

    - #### setTasks

          public void setTasks​(List<String> tasks)

      Sets the tasks that should be executed for this build.
      Parameters:
        `tasks` - The task names. May be empty or null to use the default tasks for the build.
      Since:
        4.0

    - #### setTasks

          public void setTasks​(Collection<String> tasks)

      Sets the tasks that should be executed for this build.
      Parameters:
        `tasks` - The task names. May be empty or null to use the default tasks for the build.

    - #### getBuildName

          @Internal
          public String getBuildName()

      The build name to use for the nested build.

      If no value is specified, the name of the directory of the build will be used.

      Returns:
        the build name to use for the nested build (or null if the default is to be used)
      Since:
        6.0

    - #### setBuildName

          public void setBuildName​(String buildName)

      Sets build name to use for the nested build.
      Parameters:
        `buildName` - the build name to use for the nested build
      Since:
        6.0